AU_BSM_TO_SOCKET_TYPE(3)

NAME
au_bsm_to_socket_type, au_socket_type_to_bsm - convert between BSM and local socket types

LIBRARY
libbsm

SYNOPSIS
#include <bsm/libbsm.h>
int
au_bsm_to_socket_type(u_short bsm_socket_type, int *local_socket_typep);
u_short
au_socket_type_to_bsm(int local_socket_type);

DESCRIPTION
These interfaces may be used to convert between the local and BSM socket types. The au_bsm_to_socket_type() function accepts a BSM socket type, bsm_socket_type, and converts it to a local socket type, such as those passed to socket(2), that will be stored in the integer pointed to by local_socket_typep if successful. This call will fail if the BSM socket type cannot be mapped into a local socket type, which may occur if the socket token was generated on another operating system.

au_socket_type_to_bsm() function accepts a local socket type, and returns the BSM socket type for it. This call cannot fail, and instead returns a BSM socket type indicating to a later decoder that the socket type could not be encoded.

RETURN VALUES
On success, au_bsm_to_socket_type() returns 0 and a converted socket type; on failure, it returns -1 but does not set errno(2).

On success, au_strerror() returns a pointer to an error string; on failure it will return NULL.

SEE ALSO
au_bsm_to_domain(3), au_domain_to_bsm(3), au_to_socket_ex(3), libbsm(3)

HISTORY
au_bsm_to_socket_type() and au_socket_type_to_bsm() were introduced in OpenBSM 1.1.

AUTHORS
These functions were implemented by Robert Watson under contract to Apple Inc.

The Basic Security Module (BSM) interface to audit records and audit event stream format were defined by Sun Microsystems.